function msg = mpc_init(s,a)

addpath('apm')
apm(s,a,'clear all');
apm_load(s,a,'model.apm');
csv_load(s,a,'data.csv');

apm_option(s,a,'nlc.imode',6);
apm_option(s,a,'nlc.nodes',3);
apm_option(s,a,'nlc.web_plot_freq',1);

apm_info(s,a,'FV','K');
apm_info(s,a,'FV','tau');
apm_info(s,a,'MV','u');
apm_info(s,a,'CV','y');

% status, whether the optimizer can use it
apm_option(s,a,'K.status',0);
apm_option(s,a,'tau.status',0);
apm_option(s,a,'u.status',1);
apm_option(s,a,'y.status',1);

% feedback status
apm_option(s,a,'K.fstatus',1);
apm_option(s,a,'tau.fstatus',1);
apm_option(s,a,'u.fstatus',0);
apm_option(s,a,'y.fstatus',1);

% constraints
apm_option(s,a,'u.upper',100);
apm_option(s,a,'u.lower',0);

% reference trajectory tuning
apm_option(s,a,'nlc.traj_init',2);
apm_option(s,a,'nlc.traj_open',0.5);
apm_option(s,a,'y.tau',10);

msg = 'Successful initialization';

return
